Bug 127085 - raidsetfaulty and others have inconsistent --help message
raidsetfaulty and others have inconsistent --help message
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: raidtools (Show other bugs)
3.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Doug Ledford
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-01 14:59 EDT by Jian Ma
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-06 12:03:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jian Ma 2004-07-01 14:59:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
raidtools-1.00.3-7

[root@station14 sbin]# raidsetfaulty --help
usage: raidsetfaulty [--all] [--configfile] [--help] [--version]
[-achv] </dev/md?>*


It does not match the typical usage pattern 

raidsetfaulty /dev/md0 /dev/hd6

Same thing for raidhotadd etc.

And there is no man or info page for further explanation.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. raidsetfaulty --help
2.
3.
    

Additional info:

It's a documentation issue, and maybe an issue of lacking man page for
raid commands.
Comment 1 Doug Ledford 2004-07-06 12:03:19 EDT
raidtools is deprecated.  Please transition to using mdadm instead. 
In future releases raidtools will *not* be present.

Note You need to log in before you can comment on or make changes to this bug.